Bug 63150 - NBM projects should support copy
NBM projects should support copy
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Martin Krauskopf
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-26 11:19 UTC by Jesse Glick
Modified: 2006-01-18 12:14 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2005-08-26 11:19:33 UTC
Should be simple enough, I guess.
Comment 1 Jesse Glick 2005-08-26 11:23:27 UTC
Behavior unclear however for suite component module projects. If copy is not
listed in suite module list, then should the copy still be a suite component
module? Or perhaps the copy should just be a standalone module in this case,
with the same platform as the suite had? (You could, I guess, then readd it to
the same suite or some other suite if you wanted to.)

Copying a suite project would I think need to copy all the suite component
module projects too. So maybe not so simple. :-) But can draw some inspiration
from J2EE impls.
Comment 2 Martin Krauskopf 2005-09-15 05:00:45 UTC
High priority feature for the next release.
Comment 3 Martin Krauskopf 2006-01-11 17:12:35 UTC
> ....for suite component module projects. If copy is not listed in suite
> module list, then should the copy still be a suite component module?

I don't understand. Suite component is always listed in some suite. Or do you
mean target directory in your context? I would just make a copy and make it
suite component. User can than remove it from its suite or move it to another
one.

Copying suite is really a question. I'll have to setup J2EE, hopefully not
hard.
Comment 4 Martin Krauskopf 2006-01-11 17:37:16 UTC
Aha, I see. You probably mean "If copy *is* listed in suite module list, then
should the copy still be a suite component module?"
Since than there would be a clash in the same CNBs. So we would have to either
make it standalone or somehow tweak CNB of a new one - e.g. original.cnb_copy or
original.cnb_1. But since it is not easy to change CNB it is odd to append some
appending.
Ideal would be if it is possible to tell what should be done. But again we would
need to enhance Project API.
Comment 5 Jesse Glick 2006-01-11 23:17:45 UTC
I meant, if the original is a suite component module, do you add the copy to the
suite. For now I think no - make it standalone. Too hard to do right.
Comment 6 Martin Krauskopf 2006-01-12 09:13:17 UTC
Ok, I'll do the basic version into 5.0u1.
Comment 7 Martin Krauskopf 2006-01-12 11:35:22 UTC
Fixed for modules (not suite yet).

ui/ModuleActions.java; 1.19 -> 1.20;
ui/ModuleOperations.java; 1.4 -> 1.5;
Comment 8 Martin Krauskopf 2006-01-18 12:14:51 UTC
I believe that usefulness for suite-copying is not so high. Very few usecases
probably. Will be implemented in the future. Filing a separate issue for it -
issue 71544.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo